<?php
$tdatastock_transfer___receiving = array();
$tdatastock_transfer___receiving[".searchableFields"] = array();
$tdatastock_transfer___receiving[".ShortName"] = "stock_transfer___receiving";
$tdatastock_transfer___receiving[".OwnerID"] = "";
$tdatastock_transfer___receiving[".OriginalTable"] = "stock_transfer";


$tdatastock_transfer___receiving[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatastock_transfer___receiving[".originalPagesByType"] = $tdatastock_transfer___receiving[".pagesByType"];
$tdatastock_transfer___receiving[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatastock_transfer___receiving[".originalPages"] = $tdatastock_transfer___receiving[".pages"];
$tdatastock_transfer___receiving[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatastock_transfer___receiving[".originalDefaultPages"] = $tdatastock_transfer___receiving[".defaultPages"];

//	field labels
$fieldLabelsstock_transfer___receiving = array();
$fieldToolTipsstock_transfer___receiving = array();
$pageTitlesstock_transfer___receiving = array();
$placeHoldersstock_transfer___receiving = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsstock_transfer___receiving["English"] = array();
	$fieldToolTipsstock_transfer___receiving["English"] = array();
	$placeHoldersstock_transfer___receiving["English"] = array();
	$pageTitlesstock_transfer___receiving["English"] = array();
	$fieldLabelsstock_transfer___receiving["English"]["id"] = "Id";
	$fieldToolTipsstock_transfer___receiving["English"]["id"] = "";
	$placeHoldersstock_transfer___receiving["English"]["id"] = "";
	$fieldLabelsstock_transfer___receiving["English"]["date_and_time"] = "Date And Time";
	$fieldToolTipsstock_transfer___receiving["English"]["date_and_time"] = "";
	$placeHoldersstock_transfer___receiving["English"]["date_and_time"] = "";
	$fieldLabelsstock_transfer___receiving["English"]["outlet_code"] = "Outlet Code";
	$fieldToolTipsstock_transfer___receiving["English"]["outlet_code"] = "";
	$placeHoldersstock_transfer___receiving["English"]["outlet_code"] = "";
	$fieldLabelsstock_transfer___receiving["English"]["user"] = "User";
	$fieldToolTipsstock_transfer___receiving["English"]["user"] = "";
	$placeHoldersstock_transfer___receiving["English"]["user"] = "";
	$fieldLabelsstock_transfer___receiving["English"]["action"] = "Action";
	$fieldToolTipsstock_transfer___receiving["English"]["action"] = "";
	$placeHoldersstock_transfer___receiving["English"]["action"] = "";
	$fieldLabelsstock_transfer___receiving["English"]["id2"] = "Id2";
	$fieldToolTipsstock_transfer___receiving["English"]["id2"] = "";
	$placeHoldersstock_transfer___receiving["English"]["id2"] = "";
	$fieldLabelsstock_transfer___receiving["English"]["count_of_bags"] = "Count Of Bags";
	$fieldToolTipsstock_transfer___receiving["English"]["count_of_bags"] = "";
	$placeHoldersstock_transfer___receiving["English"]["count_of_bags"] = "";
	$fieldLabelsstock_transfer___receiving["English"]["stock_sender_or_receiver"] = "Stock Sender Or Receiver";
	$fieldToolTipsstock_transfer___receiving["English"]["stock_sender_or_receiver"] = "";
	$placeHoldersstock_transfer___receiving["English"]["stock_sender_or_receiver"] = "";
	$pageTitlesstock_transfer___receiving["English"]["view"] = "stock_transfer - receiving -  {%id}";
	if (count($fieldToolTipsstock_transfer___receiving["English"]))
		$tdatastock_transfer___receiving[".isUseToolTips"] = true;
}


	$tdatastock_transfer___receiving[".NCSearch"] = true;



$tdatastock_transfer___receiving[".shortTableName"] = "stock_transfer___receiving";
$tdatastock_transfer___receiving[".nSecOptions"] = 0;

$tdatastock_transfer___receiving[".mainTableOwnerID"] = "";
$tdatastock_transfer___receiving[".entityType"] = 1;
$tdatastock_transfer___receiving[".connId"] = "test2_at_localhost";


$tdatastock_transfer___receiving[".strOriginalTableName"] = "stock_transfer";

	



$tdatastock_transfer___receiving[".showAddInPopup"] = false;

$tdatastock_transfer___receiving[".showEditInPopup"] = false;

$tdatastock_transfer___receiving[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatastock_transfer___receiving[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatastock_transfer___receiving[".listAjax"] = false;
//	temporary
$tdatastock_transfer___receiving[".listAjax"] = false;

	$tdatastock_transfer___receiving[".audit"] = true;

	$tdatastock_transfer___receiving[".locking"] = false;


$pages = $tdatastock_transfer___receiving[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatastock_transfer___receiving[".edit"] = true;
	$tdatastock_transfer___receiving[".afterEditAction"] = 1;
	$tdatastock_transfer___receiving[".closePopupAfterEdit"] = 1;
	$tdatastock_transfer___receiving[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatastock_transfer___receiving[".add"] = true;
$tdatastock_transfer___receiving[".afterAddAction"] = 2;
$tdatastock_transfer___receiving[".closePopupAfterAdd"] = 1;
$tdatastock_transfer___receiving[".afterAddActionDetTable"] = "stock receiving";
}

if( $pages[PAGE_LIST] ) {
	$tdatastock_transfer___receiving[".list"] = true;
}



$tdatastock_transfer___receiving[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatastock_transfer___receiving[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatastock_transfer___receiving[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatastock_transfer___receiving[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatastock_transfer___receiving[".printFriendly"] = true;
}



$tdatastock_transfer___receiving[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatastock_transfer___receiving[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatastock_transfer___receiving[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatastock_transfer___receiving[".isUseAjaxSuggest"] = true;

$tdatastock_transfer___receiving[".rowHighlite"] = true;



																																																			

$tdatastock_transfer___receiving[".ajaxCodeSnippetAdded"] = false;

$tdatastock_transfer___receiving[".buttonsAdded"] = false;

$tdatastock_transfer___receiving[".addPageEvents"] = false;

// use timepicker for search panel
$tdatastock_transfer___receiving[".isUseTimeForSearch"] = false;


$tdatastock_transfer___receiving[".badgeColor"] = "8FBC8B";


$tdatastock_transfer___receiving[".allSearchFields"] = array();
$tdatastock_transfer___receiving[".filterFields"] = array();
$tdatastock_transfer___receiving[".requiredSearchFields"] = array();

$tdatastock_transfer___receiving[".googleLikeFields"] = array();
$tdatastock_transfer___receiving[".googleLikeFields"][] = "id";
$tdatastock_transfer___receiving[".googleLikeFields"][] = "date_and_time";
$tdatastock_transfer___receiving[".googleLikeFields"][] = "outlet_code";
$tdatastock_transfer___receiving[".googleLikeFields"][] = "stock_sender_or_receiver";
$tdatastock_transfer___receiving[".googleLikeFields"][] = "user";
$tdatastock_transfer___receiving[".googleLikeFields"][] = "action";
$tdatastock_transfer___receiving[".googleLikeFields"][] = "id2";
$tdatastock_transfer___receiving[".googleLikeFields"][] = "count_of_bags";



$tdatastock_transfer___receiving[".tableType"] = "list";

$tdatastock_transfer___receiving[".printerPageOrientation"] = 0;
$tdatastock_transfer___receiving[".nPrinterPageScale"] = 100;

$tdatastock_transfer___receiving[".nPrinterSplitRecords"] = 40;

$tdatastock_transfer___receiving[".geocodingEnabled"] = false;










$tdatastock_transfer___receiving[".pageSize"] = 20;

$tdatastock_transfer___receiving[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatastock_transfer___receiving[".strOrderBy"] = $tstrOrderBy;

$tdatastock_transfer___receiving[".orderindexes"] = array();


$tdatastock_transfer___receiving[".sqlHead"] = "SELECT id,  date_and_time,  outlet_code,  stock_sender_or_receiver,  `user`,  `action`,  id2,  count_of_bags";
$tdatastock_transfer___receiving[".sqlFrom"] = "FROM stock_transfer";
$tdatastock_transfer___receiving[".sqlWhereExpr"] = "(`action` =\"receiving\")";
$tdatastock_transfer___receiving[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatastock_transfer___receiving[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatastock_transfer___receiving[".arrGroupsPerPage"] = $arrGPP;

$tdatastock_transfer___receiving[".highlightSearchResults"] = true;

$tableKeysstock_transfer___receiving = array();
$tableKeysstock_transfer___receiving[] = "id";
$tdatastock_transfer___receiving[".Keys"] = $tableKeysstock_transfer___receiving;


$tdatastock_transfer___receiving[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "stock_transfer";
	$fdata["Label"] = GetFieldLabel("stock_transfer___receiving","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_transfer___receiving["id"] = $fdata;
		$tdatastock_transfer___receiving[".searchableFields"][] = "id";
//	date_and_time
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "date_and_time";
	$fdata["GoodName"] = "date_and_time";
	$fdata["ownerTable"] = "stock_transfer";
	$fdata["Label"] = GetFieldLabel("stock_transfer___receiving","date_and_time");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "date_and_time";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "date_and_time";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Datetime");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_transfer___receiving["date_and_time"] = $fdata;
		$tdatastock_transfer___receiving[".searchableFields"][] = "date_and_time";
//	outlet_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "outlet_code";
	$fdata["GoodName"] = "outlet_code";
	$fdata["ownerTable"] = "stock_transfer";
	$fdata["Label"] = GetFieldLabel("stock_transfer___receiving","outlet_code");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "outlet_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "outlet_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["list"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["print"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["export"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["masterlist"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["masterprint"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["add"] = $edata;
	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "company_profile";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "country";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = true;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_transfer___receiving["outlet_code"] = $fdata;
		$tdatastock_transfer___receiving[".searchableFields"][] = "outlet_code";
//	stock_sender_or_receiver
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "stock_sender_or_receiver";
	$fdata["GoodName"] = "stock_sender_or_receiver";
	$fdata["ownerTable"] = "stock_transfer";
	$fdata["Label"] = GetFieldLabel("stock_transfer___receiving","stock_sender_or_receiver");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "stock_sender_or_receiver";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "stock_sender_or_receiver";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["list"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["print"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["export"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["masterlist"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["masterprint"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["add"] = $edata;
	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "company_profile";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "country";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = true;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_transfer___receiving["stock_sender_or_receiver"] = $fdata;
		$tdatastock_transfer___receiving[".searchableFields"][] = "stock_sender_or_receiver";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "stock_transfer";
	$fdata["Label"] = GetFieldLabel("stock_transfer___receiving","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_transfer___receiving["user"] = $fdata;
		$tdatastock_transfer___receiving[".searchableFields"][] = "user";
//	action
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "action";
	$fdata["GoodName"] = "action";
	$fdata["ownerTable"] = "stock_transfer";
	$fdata["Label"] = GetFieldLabel("stock_transfer___receiving","action");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "action";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`action`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_transfer___receiving["action"] = $fdata;
		$tdatastock_transfer___receiving[".searchableFields"][] = "action";
//	id2
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "id2";
	$fdata["GoodName"] = "id2";
	$fdata["ownerTable"] = "stock_transfer";
	$fdata["Label"] = GetFieldLabel("stock_transfer___receiving","id2");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "id2";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id2";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "stock_transfer";
			$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"stock_sender_or_receiver", 'lookupF'=>"outlet_code");
	$edata["autoCompleteFields"][] = array('masterF'=>"count_of_bags", 'lookupF'=>"count_of_bags");
	$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "id";

	

	
	$edata["LookupOrderBy"] = "id";

	
	
	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_transfer___receiving["id2"] = $fdata;
		$tdatastock_transfer___receiving[".searchableFields"][] = "id2";
//	count_of_bags
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "count_of_bags";
	$fdata["GoodName"] = "count_of_bags";
	$fdata["ownerTable"] = "stock_transfer";
	$fdata["Label"] = GetFieldLabel("stock_transfer___receiving","count_of_bags");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "count_of_bags";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "count_of_bags";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_transfer___receiving["count_of_bags"] = $fdata;
		$tdatastock_transfer___receiving[".searchableFields"][] = "count_of_bags";


$tables_data["stock_transfer - receiving"]=&$tdatastock_transfer___receiving;
$field_labels["stock_transfer___receiving"] = &$fieldLabelsstock_transfer___receiving;
$fieldToolTips["stock_transfer___receiving"] = &$fieldToolTipsstock_transfer___receiving;
$placeHolders["stock_transfer___receiving"] = &$placeHoldersstock_transfer___receiving;
$page_titles["stock_transfer___receiving"] = &$pageTitlesstock_transfer___receiving;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["stock_transfer - receiving"] = array();
//	stock receiving
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="stock receiving";
		$detailsParam["dOriginalTable"] = "purchasing_details";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "stock_receiving";
	$detailsParam["dCaptionTable"] = GetTableCaption("stock_receiving");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["stock_transfer - receiving"][$dIndex] = $detailsParam;

	
		$detailsTablesData["stock_transfer - receiving"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["stock_transfer - receiving"][$dIndex]["masterKeys"][]="id";

				$detailsTablesData["stock_transfer - receiving"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["stock_transfer - receiving"][$dIndex]["detailKeys"][]="stock_rece_code";

// tables which are master tables for current table (detail)
$masterTablesData["stock_transfer - receiving"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_stock_transfer___receiving()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  date_and_time,  outlet_code,  stock_sender_or_receiver,  `user`,  `action`,  id2,  count_of_bags";
$proto0["m_strFrom"] = "FROM stock_transfer";
$proto0["m_strWhere"] = "(`action` =\"receiving\")";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "`action` =\"receiving\"";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "action",
	"m_strTable" => "stock_transfer",
	"m_srcTableName" => "stock_transfer - receiving"
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "=\"receiving\"";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "stock_transfer",
	"m_srcTableName" => "stock_transfer - receiving"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "stock_transfer - receiving";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "date_and_time",
	"m_strTable" => "stock_transfer",
	"m_srcTableName" => "stock_transfer - receiving"
));

$proto8["m_sql"] = "date_and_time";
$proto8["m_srcTableName"] = "stock_transfer - receiving";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "outlet_code",
	"m_strTable" => "stock_transfer",
	"m_srcTableName" => "stock_transfer - receiving"
));

$proto10["m_sql"] = "outlet_code";
$proto10["m_srcTableName"] = "stock_transfer - receiving";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "stock_sender_or_receiver",
	"m_strTable" => "stock_transfer",
	"m_srcTableName" => "stock_transfer - receiving"
));

$proto12["m_sql"] = "stock_sender_or_receiver";
$proto12["m_srcTableName"] = "stock_transfer - receiving";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "stock_transfer",
	"m_srcTableName" => "stock_transfer - receiving"
));

$proto14["m_sql"] = "`user`";
$proto14["m_srcTableName"] = "stock_transfer - receiving";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "action",
	"m_strTable" => "stock_transfer",
	"m_srcTableName" => "stock_transfer - receiving"
));

$proto16["m_sql"] = "`action`";
$proto16["m_srcTableName"] = "stock_transfer - receiving";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "id2",
	"m_strTable" => "stock_transfer",
	"m_srcTableName" => "stock_transfer - receiving"
));

$proto18["m_sql"] = "id2";
$proto18["m_srcTableName"] = "stock_transfer - receiving";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "count_of_bags",
	"m_strTable" => "stock_transfer",
	"m_srcTableName" => "stock_transfer - receiving"
));

$proto20["m_sql"] = "count_of_bags";
$proto20["m_srcTableName"] = "stock_transfer - receiving";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto22=array();
$proto22["m_link"] = "SQLL_MAIN";
			$proto23=array();
$proto23["m_strName"] = "stock_transfer";
$proto23["m_srcTableName"] = "stock_transfer - receiving";
$proto23["m_columns"] = array();
$proto23["m_columns"][] = "id";
$proto23["m_columns"][] = "date_and_time";
$proto23["m_columns"][] = "outlet_code";
$proto23["m_columns"][] = "stock_sender_or_receiver";
$proto23["m_columns"][] = "user";
$proto23["m_columns"][] = "action";
$proto23["m_columns"][] = "count_of_bags";
$proto23["m_columns"][] = "id2";
$obj = new SQLTable($proto23);

$proto22["m_table"] = $obj;
$proto22["m_sql"] = "stock_transfer";
$proto22["m_alias"] = "";
$proto22["m_srcTableName"] = "stock_transfer - receiving";
$proto24=array();
$proto24["m_sql"] = "";
$proto24["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto24["m_column"]=$obj;
$proto24["m_contained"] = array();
$proto24["m_strCase"] = "";
$proto24["m_havingmode"] = false;
$proto24["m_inBrackets"] = false;
$proto24["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto24);

$proto22["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto22);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="stock_transfer - receiving";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_stock_transfer___receiving = createSqlQuery_stock_transfer___receiving();


	
		;

								

$tdatastock_transfer___receiving[".sqlquery"] = $queryData_stock_transfer___receiving;



$tableEvents["stock_transfer - receiving"] = new eventsBase;
$tdatastock_transfer___receiving[".hasEvents"] = false;

?>